解决帝国CMS安装出现"Use of undefined constant can - assumed 'can'"问题

昨天晚上一个网友需要将服务器配置WEB且恢复他购买的帝国CMS程序数据,但是由于太晚就挂机安装WEB系统数据留着今天上午恢复。但是在恢复安装帝国CMS的时候有提示错误"Warning: Use of undefined constant can - assumed 'can' (this will throw an Error in a future version of PHP) in /www/wwwroot/www.****.cn/e/install/data/fun.php on line 121"。

解决帝国CMS安装出现"Use of undefined constant can - assumed 'can'"问题

老蒋可以看到安装的时候提示有错,那肯定是不可以继续。需要先解决问题。从报错信息可以看到"this will throw an Error in a future version of PHP"应该是PHP版本不支持,默认看到是安装的PHP7.3版本,然后降级至7.0再试试。

解决帝国CMS安装出现"Use of undefined constant can - assumed 'can'"问题

刷新页面,可以看到报错没有,那就继续下一步。这样问题就解决。

本文出处:老蒋部落 » 解决帝国CMS安装出现"Use of undefined constant can - assumed 'can'"问题 | 欢迎分享( 公众号:站长事儿 )